/** Typography */
@font-face {
    font-family: 'Outfit';
    font-style: normal;
    font-weight: 400;
    font-display: swap;
    src: url(../../fonts/Outfit/Outfit-Regular-400-Latin.woff2) format('woff2');
    unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}

@font-face {
    font-family: 'Outfit';
    font-style: normal;
    font-weight: 400;
    font-display: swap;
    src: url(../../fonts/Outfit/Outfit-Regular-400-LatinExt.woff2) format('woff2');
    unicode-range: U+0100-02BA, U+02BD-02C5, U+02C7-02CC, U+02CE-02D7, U+02DD-02FF, U+0304, U+0308, U+0329, U+1D00-1DBF, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20C0, U+2113, U+2C60-2C7F, U+A720-A7FF;
}

@font-face {
    font-family: 'Outfit';
    font-style: normal;
    font-weight: 700;
    font-display: swap;
    src: url(../../fonts/Outfit/Outfit-Bold-700-Latin.woff2) format('woff2');
    unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}

@font-face {
    font-family: 'Outfit';
    font-style: normal;
    font-weight: 700;
    font-display: swap;
    src: url(../../fonts/Outfit/Outfit-Bold-700-LatinExt.woff2) format('woff2');
    unicode-range: U+0100-02BA, U+02BD-02C5, U+02C7-02CC, U+02CE-02D7, U+02DD-02FF, U+0304, U+0308, U+0329, U+1D00-1DBF, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20C0, U+2113, U+2C60-2C7F, U+A720-A7FF;
}

@font-face {
    font-family: 'Outfit';
    font-style: normal;
    font-weight: 800;
    font-display: swap;
    src: url(../../fonts/Outfit/Outfit-ExtraBold-800-Latin.woff2) format('woff2');
    unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}

@font-face {
    font-family: 'Outfit';
    font-style: normal;
    font-weight: 400;
    font-display: swap;
    src: url(../../fonts/Outfit/Outfit-ExtraBold-800-LatinExt.woff2) format('woff2');
    unicode-range: U+0100-02BA, U+02BD-02C5, U+02C7-02CC, U+02CE-02D7, U+02DD-02FF, U+0304, U+0308, U+0329, U+1D00-1DBF, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20C0, U+2113, U+2C60-2C7F, U+A720-A7FF;
}

body.aixpor {
    font-family: Outfit, "Helvetica Neue", Helvetica, Arial, sans-serif;
    font-weight: 400;
    font-size: 17px;
    line-height: 25px;
}

body.aixpor p:not(:last-child) {
    margin-bottom: 8px;
}

body.aixpor .font-semibold,
body.aixpor.font-medium {
    font-family: Outfit, "Helvetica Neue", Helvetica, Arial, sans-serif;
    font-weight: 700;
}

body.aixpor strong,
body.aixpor .font-bold {
    font-family: Outfit, "Helvetica Neue", Helvetica, Arial, sans-serif;
    font-weight: 800;
}

body.aixpor .font-regular {
    font-family: Outfit, "Helvetica Neue", Helvetica, Arial, sans-serif;
    font-weight: 400;
}

h1, h2 {
    font-size: 46px;
    line-height: 56px;
    font-weight: 800;
    color: var(--color-primary);
    margin-bottom: 28px;
}

h3, h4 {
    font-size: 28px;
    line-height: 36px;
    font-weight: 700;
    margin-bottom: 20px;
}

/** General */
body.aixpor {
    background-image: none;
    background-color: var(--color-primary-darker);
}

body.aixpor header .firstline {
    min-height: 32px;
}

body.aixpor .page-main {
    background-color: var(--color-white);
}

body.aixpor .page-footer {
    background-color: var(--color-bg-footer-container);
}

body.aixpor .footer-main {
    margin-top: 0 !important;
}

body.aixpor .footer-main > div  {
    padding-left: 0 !important;
    padding-right: 0 !important;
}

body.aixpor .footer-main .text-sm {
    font-size: 16px;
    line-height: 1.7;
}

body.aixpor #search-mobile-menu,
body.aixpor #menu-quotecart-icon,
body.aixpor #customer-mobile-menu,
body.aixpor #menu-cart-icon,
body.aixpor .search-container {
    display: none;
}

@media screen and (max-width: 768px) {
    .page-footer .container,
    .page-main .container {
        padding-left: 1rem !important;
        padding-right: 1rem !important;
    }
}

/** Buttons */
body.aixpor .navigation-item {
    font-family: Outfit, "Helvetica Neue", Helvetica, Arial, sans-serif;
}

body.aixpor .actions-toolbar .primary button,
body.aixpor button.btn {
    border-radius: 0;
    min-height: 56px;
    font-size: 24px;
    font-family: Outfit, "Helvetica Neue", Helvetica, Arial, sans-serif;
    font-weight: 800;
    border: 3px solid currentColor;
    padding: 0 20px !important;
    justify-content: center;
}

body.aixpor .actions-toolbar .primary button,
body.aixpor button.btn.btn-primary {
    background-color: var(--color-primary);
    border-color: var(--color-primary);
    color: var(--color-white);
}

body.aixpor .actions-toolbar .primary button:hover,
body.aixpor button.btn.btn-primary:hover {
    background-color: var(--color-primary-darker);
    border-color: var(--color-primary-darker);
    color: var(--color-white);
}

body.aixpor button.btn.btn-secondary {
    background-color: transparent;
    border-color: var(--color-primary);
    color: var(--color-primary);
}

body.aixpor button.btn.btn-secondary:hover {
    background-color: transparent;
    border-color: var(--color-primary-darker);
    color: var(--color-primary-darker);
}

/** Forms */
body.aixpor .actions-toolbar {
    border: 0;
}

body.aixpor form label {
    font-weight: 500;
    font-size: 16px;
}

body.aixpor form input,
body.aixpor .form-input,
body.aixpor .form-select,
body.aixpor .form-textarea {
    border-color: var(--color-primary-darker);
    color: #000;
}

body.aixpor form input:focus,
body.aixpor .form-input:focus,
body.aixpor .form-select:focus,
body.aixpor .form-textarea:focus {
    border-color: rgb(255 255 255/var(--tw-border-opacity, 1)) !important;
    background-color: transparent !important;
    outline-offset: -2px !important;
}

body.aixpor input[aria-invalid],
body.aixpor input[aria-invalid]:active,
body.aixpor input[aria-invalid]:focus {
    border-color: transparent !important;
    outline-offset: -3px !important;
    outline-style: dashed !important;
    outline-color: #FF2E2E !important;
    outline-width: 3px !important;
}

body.aixpor .field-error .messages {
    font-size: 14px;
    color: #FF2E2E;
}

/** Boxes */
body.aixpor .content-box {
    background-color: var(--content-box-color-background);
    color: var(--content-box-color-text);
    padding: 8vh 0;
}

body.aixpor .content-box h1,
body.aixpor .content-box h2 {
    color: var(--content-box-color-big-headline)
}

body.aixpor .content-box h3,
body.aixpor .content-box h4 {
    color: var(--content-box-color-small-headline)
}

body.aixpor .content-box button.btn {
    min-width: 200px;
    background-color: var(--content-box-color-button-bg);
    color: var(--content-box-color-button-text);
    border-color: var(--content-box-color-button-border);
}

body.aixpor .content-box button.btn:hover {
    background-color: var(--content-box-color-button-hover-bg);
    color: var(--content-box-color-button-hover-text);
    border-color: var(--content-box-color-button-hover-border);
}

body.aixpor .color-scheme-light {
    --content-box-color-background: var(--color-primary-lighter);

    --content-box-color-text: var(--color-text-default);
    --content-box-color-big-headline: var(--color-primary-darker);
    --content-box-color-small-headline: var(--color-text-default);

    --content-box-color-button-bg: var(--color-primary);
    --content-box-color-button-border: var(--color-primary);
    --content-box-color-button-text: var(--color-white);

    --content-box-color-button-hover-bg: var(--color-primary-darker);
    --content-box-color-button-hover-border: var(--color-primary-darker);
    --content-box-color-button-hover-text: var(--color-white);
}

body.aixpor .color-scheme-medium {
    --content-box-color-background: var(--color-primary-darker);

    --content-box-color-text: var(--color-white);
    --content-box-color-big-headline: var(--color-primary-lighter);
    --content-box-color-small-headline: var(--color-white);

    --content-box-color-button-bg: var(--color-primary);
    --content-box-color-button-border: var(--color-primary);
    --content-box-color-button-text: var(--color-white);

    --content-box-color-button-hover-bg: var(--color-white);
    --content-box-color-button-hover-border: var(--color-white);
    --content-box-color-button-hover-text: var(--color-primary);
}

body.aixpor .color-scheme-dark {
    --content-box-color-background: var(--color-text-default);

    --content-box-color-text: var(--color-white);
    --content-box-color-big-headline: var(--color-primary-lighter);
    --content-box-color-small-headline: var(--color-white);

    --content-box-color-button-bg: var(--color-primary);
    --content-box-color-button-border: var(--color-primary);
    --content-box-color-button-text: var(--color-white);

    --content-box-color-button-hover-bg: var(--color-white);
    --content-box-color-button-hover-border: var(--color-white);
    --content-box-color-button-hover-text: var(--color-primary);
}
